PipeWire 1.4.10

Loading...
Searching...
No Matches
buffers-types.h File Reference
SPA » Parameters

spa/param/buffers-types.h More...

Go to the source code of this file.

## Macros
#define | SPA_TYPE_INFO_PARAM_Meta SPA_TYPE_INFO_PARAM_BASE "Meta"
#define | SPA_TYPE_INFO_PARAM_META_BASE SPA_TYPE_INFO_PARAM_Meta ":"
#define | SPA_TYPE_INFO_PARAM_IO SPA_TYPE_INFO_PARAM_BASE "IO"
| Base for parameters that describe IO areas to exchange data, control and properties with a node.
#define | SPA_TYPE_INFO_PARAM_IO_BASE SPA_TYPE_INFO_PARAM_IO ":"
#define | SPA_TYPE_INFO_PARAM_Buffers SPA_TYPE_INFO_PARAM_BASE "Buffers"
#define | SPA_TYPE_INFO_PARAM_BUFFERS_BASE SPA_TYPE_INFO_PARAM_Buffers ":"
#define | SPA_TYPE_INFO_PARAM_BlockInfo SPA_TYPE_INFO_PARAM_BUFFERS_BASE "BlockInfo"
#define | SPA_TYPE_INFO_PARAM_BLOCK_INFO_BASE SPA_TYPE_INFO_PARAM_BlockInfo ":"

## Variables
static const struct spa_type_info | spa_type_param_meta []
static const struct spa_type_info | spa_type_param_io []
static const struct spa_type_info | spa_type_param_buffers []

## Detailed Description

spa/param/buffers-types.h